/**
 * JEP-420: Pattern Matching for switch 
 * note: wymaga użycia opcji --enable-preview
 * Dopasowywanie wzorców w instrukcji switch
 * 
 * $javac --enable-preview --release 18 Jep420.java
 * $java --enable-preview Jep420
 * 
 * {@link https://openjdk.java.net/jeps/420}
 */
public class Jep420 {
    public static void main(String[] args) {
        Object variable = 42;
        String text = switch (variable){
            case Integer i -> "liczba"+i;
            default -> "tekst";
        };
        System.out.println(text);
    }
}